Issue2113

classification
Title: Update/fix Intellij IDEA project files
Type: Severity: normal
Components: None Versions: Jython 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: santa4nt, zyasoft
Priority: Keywords: patch

Created on 2014-01-14.00:50:20 by santa4nt, last changed 2014-06-19.01:12:33 by zyasoft.

Files
File name Uploaded Description Edit Remove
fixIDEA.patch santa4nt, 2014-01-14.00:52:38 As patch file.
remove.patch santa4nt, 2014-01-20.23:43:27 Remove IDEA artifacts.
Messages
msg8228 (view) Author: Santoso Wijaya (santa4nt) Date: 2014-01-14.00:50:19
The project files for IDEA have some errors and missing dependencies, as is. I'm creating a pull request for changes that I made on my forked clone to get IDEA to build cleanly (using the built-in ant plugin, not its default Make tool) and run/debug a simple `jython -c "print 'Hello, world!'"` all from within IDEA.

The pull request: https://bitbucket.org/jython/jython/pull-request/23/update-fix-intellij-idea-project-files/diff
msg8233 (view) Author: Santoso Wijaya (santa4nt) Date: 2014-01-20.23:43:27
Also see: https://bitbucket.org/jython/jython/pull-request/25/remove-idea-artifacts/diff
msg8696 (view) Author: Jim Baker (zyasoft) Date: 2014-06-19.01:12:23
Fixed in http://hg.python.org/jython/rev/20a007894dcf
History
Date User Action Args
2014-06-19 01:12:33zyasoftsetstatus: open -> closed
resolution: fixed
2014-06-19 01:12:23zyasoftsetnosy: + zyasoft
messages: + msg8696
2014-01-20 23:43:28santa4ntsetfiles: + remove.patch
messages: + msg8233
2014-01-14 00:52:39santa4ntsetfiles: + fixIDEA.patch
keywords: + patch
2014-01-14 00:50:20santa4ntcreate